Summary:	XExt extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzeń XExt
Name:		xorg-proto-xextproto
Version:	7.3.0
Release:	2
Epoch:		1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/xextproto-%{version}.tar.bz2
# Source0-md5:	70c90f313b4b0851758ef77b95019584
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Header files for X protocol extensions, covering:
- DOUBLE-BUFFER
- DPMS
- Extended-Visual-Information
- Generic Event Extension
- LBX
- MIT-SHM
- MIT-SUNDRY-NONSTANDARD
- Multi-Buffering
- SECURITY
- SHAPE
- SYNC
- TOG-CUP
- XC-APPGROUP
- XTEST

%description -l pl.UTF-8
Pliki nagłówkowe rozszerzeń protokołu X, obejmujące:
- DOUBLE-BUFFER
- DPMS
- Extended-Visual-Information
- Generic Event Extension
- LBX
- MIT-SHM
- MIT-SUNDRY-NONSTANDARD
- Multi-Buffering
- SECURITY
- SHAPE
- SYNC
- TOG-CUP
- XC-APPGROUP
- XTEST

%package devel
Summary:	XExt extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzeń XExt
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel
Suggests:	xorg-lib-libXext-devel >= 1:1.1
Obsoletes:	xextensions

%description devel
Header files for X protocol extensions, covering:
- DOUBLE-BUFFER
- DPMS
- Extended-Visual-Information
- Generic Event Extension
- LBX
- MIT-SHM
- MIT-SUNDRY-NONSTANDARD
- Multi-Buffering
- SECURITY
- SHAPE
- SYNC
- TOG-CUP
- XC-APPGROUP
- XTEST

%description devel -l pl.UTF-8
Pliki nagłówkowe rozszerzeń protokołu X, obejmujące:
- DOUBLE-BUFFER
- DPMS
- Extended-Visual-Information
- Generic Event Extension
- LBX
- MIT-SHM
- MIT-SUNDRY-NONSTANDARD
- Multi-Buffering
- SECURITY
- SHAPE
- SYNC
- TOG-CUP
- XC-APPGROUP
- XTEST

%prep
%setup -q -n xextproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--without-fop

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/xextproto

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README specs/*.html
%{_includedir}/X11/extensions/*.h
%{_pkgconfigdir}/xextproto.pc
%changelog
* Wed May 06 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-proto-xextproto.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6638678
- x32 rebuild
- release 2 (by relup.sh)

* Fri Dec 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6094ac1
- up to 7.3.0

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> d0addd0
- updated to 7.2.1

* Tue Mar 01 2011 Jakub Bogusz <qboosh@pld-linux.org> 66a65f2
- doc cleanup
- list supported extensions in descs

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e563538
- up to 7.2.0

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 0fb9414
- BR: docbook-dtd412-xml, docbook-dtd43-xml

* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> 1e0ce16
- added README to doc

* Tue Aug 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 37c88bd
- updated BRs
- package specs (in HTML format)

* Tue Aug 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dbaa32
- up to 7.1.2

* Tue Aug 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> b3da501
- up to 7.1.2

* Sat Oct 03 2009 Jakub Bogusz <qboosh@pld-linux.org> f86d15e
- -devel S: libXext-devel >= 1.1 (some headers have been moved, so there will be missing files with older libXext-devel)

* Mon Sep 28 2009 Jakub Bogusz <qboosh@pld-linux.org> d739ce4
- util-macros version
- it seems it doesn't require inputproto any longer

* Fri Sep 04 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> aeee23a
- up to 7.1.1

* Mon Aug 31 2009 amateja <amateja@pld-linux.org> ac55363
- reverted

* Fri Aug 28 2009 amateja <amateja@pld-linux.org> 59133d4
- updated to 7.0.99.3

* Thu Aug 13 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4104926
- revert to 7.0.5; 7.1.0 is bad release (not all deps were updated && released)

* Sat Aug 08 2009 deejay1 <deejay1@pld-linux.org> e1b3344
- up to 7.1.0

* Tue Aug 04 2009 tommat <tommat@pld-linux.org> 041bef7
- 7.0.99.3

* Tue Feb 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 52faea5
- package geproto.txt
- XExt is an extension (set)

* Thu Jan 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> b0a29aa
- up to 7.0.5

